package net.northking.cctp.upperComputer.entity;

public class PhoneEntity {
    private String udid;

    private String name;

    private String conn_type;

    private int port8100;

    private int port9100;

    private int screenWidth;   //屏幕宽

    private int screenHeight;   //屏幕高

    private int scale;       //屏幕缩放比

    private String productVersion; // 系统版本

    /**
     * false是离线，true是在线
     */
    private boolean status = false;

    public String getProductVersion() {
        return productVersion;
    }

    public void setProductVersion(String productVersion) {
        this.productVersion = productVersion;
    }

    public boolean isStatus() {
        return status;
    }

    public int getScale() {
        return scale;
    }

    public void setScale(int scale) {
        this.scale = scale;
    }

    public int getScreenWidth() {
        return screenWidth;
    }

    public void setScreenWidth(int screenWidth) {
        this.screenWidth = screenWidth;
    }

    public int getScreenHeight() {
        return screenHeight;
    }

    public void setScreenHeight(int screenHeight) {
        this.screenHeight = screenHeight;
    }

    public String getUdid() {
        return udid;
    }

    public void setUdid(String udid) {
        this.udid = udid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getConn_type() {
        return conn_type;
    }

    public void setConn_type(String conn_type) {
        this.conn_type = conn_type;
    }


    public boolean getStatus() {
        return status;
    }

    public void setStatus(boolean status) {
        this.status = status;
    }

    public int getPort8100() {
        return port8100;
    }

    public void setPort8100(int port8100) {
        this.port8100 = port8100;
    }

    public int getPort9100() {
        return port9100;
    }

    public void setPort9100(int port9100) {
        this.port9100 = port9100;
    }

    @Override
    public String toString() {
        return "PhoneEntity{" +
                "udid='" + udid + '\'' +
                ", name='" + name + '\'' +
                ", conn_type='" + conn_type + '\'' +
                ", port8100=" + port8100 +
                ", port9100=" + port9100 +
                ", status=" + status +
                '}';
    }
}
